"use strict";

import React from "react";
import { observer } from "mobx-react";
import "./consume_credits.less";
import { Button } from "@grace/ui";
import { PageCtrl } from "@/core/ctrls/PageCtrl";
import { ModalCtrl } from "@/core/ctrls/ModalCtrl";

@observer
class Consume_credits extends React.Component {
  constructor(props) {
    super(props);
  }

  handleclock = () => {
    ModalCtrl.closeModal();
    // todo 成功了弹 finish_task
  };

  handleclose = () => {
    ModalCtrl.closeModal();
  };

  render() {
    return (
      <div className="consume_credits modal_center">
        <span className="bg"></span>
        <span className="tile"></span>
        <span className="tip1">消耗10000积分</span>
        <span className="tip2">完成打卡</span>
        <Button className="close" onClick={this.handleclose} />
        <Button className="clock" onClick={this.handleclock} />
        <span className="icon"></span>
        <span className="ditu"></span>
      </div>
    );
  }
}
export default Consume_credits;
